Bug 1341817 - timedatectl: Failed to query server: Input/output error
Summary: timedatectl: Failed to query server: Input/output error
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: timedatex
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-01 19:44 UTC by Juan Orti Alcaine
Modified: 2016-06-14 10:13 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-14 10:13:48 UTC


Attachments (Terms of Use)
strace -f timedatectl (10.17 KB, text/plain)
2016-06-01 19:48 UTC, Juan Orti Alcaine
no flags Details

Description Juan Orti Alcaine 2016-06-01 19:44:34 UTC
Description of problem:

# LANG=C timedatectl 
Failed to query server: Input/output error


Version-Release number of selected component (if applicable):
systemd-222-14.fc23.x86_64


Additional info:
It worked before.

Comment 1 Juan Orti Alcaine 2016-06-01 19:48:08 UTC
Created attachment 1163775 [details]
strace -f timedatectl

Comment 2 Juan Orti Alcaine 2016-06-06 19:40:37 UTC
Looks like a there is a clashing BusName=org.freedesktop.timedate1 in /usr/lib/systemd/system/timedatex.service and /usr/lib/systemd/system/systemd-timedated.service

How do I fix this?

Comment 3 Jan Synacek 2016-06-14 07:29:31 UTC
(In reply to Juan Orti from comment #2)
> How do I fix this?

# systemctl mask systemd-timedated
# systemctl stop systemd-timedated


In https://bugzilla.redhat.com/show_bug.cgi?id=1187072, timedatex.service was enabled in by default. timedatex.service should include Conflicts=systemd-timedated.

Comment 4 Juan Orti Alcaine 2016-06-14 07:42:23 UTC
Ok, masking that unit fixes the problem. Thank you.

Comment 5 Miroslav Lichvar 2016-06-14 07:51:43 UTC
The timedatex package includes a symlink which masks systemd-timedated by default. Was the symlink removed? Maybe something related to presets?

Comment 6 Juan Orti Alcaine 2016-06-14 08:06:00 UTC
This problem happened after I did a failed dnf upgrade to f24 which ended with many duplicate packages from f23 and f24. As I did a btrfs rollback of the root filesystem I thought everything was ok, but maybe I messed up things playing with the dnf command.

Comment 7 Jan Synacek 2016-06-14 10:13:48 UTC
I've just verified that after installing F23, fully updating it and updating to F24 still leaves systemd-timedated masked.


Note You need to log in before you can comment on or make changes to this bug.